Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870890
Category:Red Hat Local Security Checks
Title:RedHat Update for mysql RHSA-2013:0180-01
Summary:The remote host is missing an update for the 'mysql'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'mysql'
package(s) announced via the referenced advisory.

Vulnerability Insight:
MySQL is a multi-user, multi-threaded SQL database server. It consists of
the MySQL server daemon (mysqld) and many client programs and libraries.

A stack-based buffer overflow flaw was found in the user permission
checking code in MySQL. An authenticated database user could use this flaw
to crash the mysqld daemon or, potentially, execute arbitrary code with the
privileges of the user running the mysqld daemon. (CVE-2012-5611)

A flaw was found in the way MySQL calculated the key length when creating
a sort order index for certain queries. An authenticated database user
could use this flaw to crash the mysqld daemon. (CVE-2012-2749)

This update also adds a patch for a potential flaw in the MySQL password
checking function, which could allow an attacker to log into any MySQL
account without knowing the correct password. This problem (CVE-2012-2122)
only affected MySQL packages that use a certain compiler and C library
optimization. It did not affect the mysql packages in Red Hat Enterprise
Linux 5. The patch is being added as a preventive measure to ensure this
problem cannot get exposed in future revisions of the mysql packages.
(BZ#814605)

All MySQL users should upgrade to these updated packages, which correct
these issues. After installing this update, the MySQL server daemon
(mysqld) will be restarted automatically.

Affected Software/OS:
mysql on Red Hat Enterprise Linux (v. 5 server)

Solution:
Please Install the Updated Packages.

CVSS Score:
6.5

CVSS Vector:
AV:N/AC:L/Au:S/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2012-1734
BugTraq ID: 54540
http://www.securityfocus.com/bid/54540
http://security.gentoo.org/glsa/glsa-201308-06.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2013:150
http://osvdb.org/83979
RedHat Security Advisories: RHSA-2012:1462
http://rhn.redhat.com/errata/RHSA-2012-1462.html
http://www.securitytracker.com/id?1027263
http://secunia.com/advisories/51309
http://secunia.com/advisories/53372
XForce ISS Database: mysql-servopt-dos(77064)
https://exchange.xforce.ibmcloud.com/vulnerabilities/77064
Common Vulnerability Exposure (CVE) ID: CVE-2012-2749
BugTraq ID: 55120
http://www.securityfocus.com/bid/55120
RedHat Security Advisories: RHSA-2013:0180
http://rhn.redhat.com/errata/RHSA-2013-0180.html
Common Vulnerability Exposure (CVE) ID: CVE-2012-5611
Debian Security Information: DSA-2581 (Google Search)
http://www.debian.org/security/2012/dsa-2581
http://www.exploit-db.com/exploits/23075
http://seclists.org/fulldisclosure/2012/Dec/4
http://www.mandriva.com/security/advisories?name=MDVSA-2013:102
http://www.openwall.com/lists/oss-security/2012/12/02/3
http://www.openwall.com/lists/oss-security/2012/12/02/4
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A16395
RedHat Security Advisories: RHSA-2012:1551
http://rhn.redhat.com/errata/RHSA-2012-1551.html
http://secunia.com/advisories/51443
SuSE Security Announcement: SUSE-SU-2013:0262 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-02/msg00000.html
SuSE Security Announcement: openSUSE-SU-2013:0011 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00000.html
SuSE Security Announcement: openSUSE-SU-2013:0013 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00001.html
SuSE Security Announcement: openSUSE-SU-2013:0014 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00002.html
SuSE Security Announcement: openSUSE-SU-2013:0135 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00013.html
SuSE Security Announcement: openSUSE-SU-2013:0156 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00020.html
SuSE Security Announcement: openSUSE-SU-2013:1412 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-09/msg00010.html
http://www.ubuntu.com/usn/USN-1658-1
http://www.ubuntu.com/usn/USN-1703-1
Common Vulnerability Exposure (CVE) ID: CVE-2012-2122
BugTraq ID: 53911
http://www.securityfocus.com/bid/53911
http://www.exploit-db.com/exploits/19092
http://bugs.mysql.com/bug.php?id=64884
https://community.rapid7.com/community/metasploit/blog/2012/06/11/cve-2012-2122-a-tragically-comedic-security-flaw-in-mysql
http://seclists.org/oss-sec/2012/q2/493
http://securitytracker.com/id?1027143
http://secunia.com/advisories/49417
SuSE Security Announcement: SUSE-SU-2012:0984 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00007.html
CopyrightCopyright (C) 2013 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.